Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.jmf.codec
Class AbstractCodec

    java.lang.Object
      org.monte.media.jmf.codec.AbstractCodec

All Implemented Interfaces:
  javax.media.Codec, javax.media.Controls, javax.media.PlugIn

Direct Known Subclasses:
  AbstractVideoDecoder

    public abstract class AbstractCodec

extends java.lang.Object
implements javax.media.Codec

`AbstractCodec`.

Version:
  1.0 2011-04-05 Created.
Author:
  Werner Randelshofer

Field Summary
`protected java.lang.Object[]` | `controls`
`protected java.lang.String` | `pluginName`

Fields inherited from interface javax.media.PlugIn
`BUFFER_PROCESSED_FAILED, BUFFER_PROCESSED_OK, INPUT_BUFFER_NOT_CONSUMED, OUTPUT_BUFFER_NOT_FILLED, PLUGIN_TERMINATED`

Constructor Summary
`AbstractCodec()`

Method Summary
`void` | `close()`
`java.lang.Object` | `getControl(java.lang.String controlType)`
`java.lang.Object[]` | `getControls()`
`java.lang.String` | `getName()`
`protected static boolean` | `isSet(javax.media.Buffer buf, int flag)`
`void` | `open()`
`void` | `reset()`
`protected static void` | `setFlag(javax.media.Buffer buf, int flag, boolean value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.media.Codec
`getSupportedInputFormats, getSupportedOutputFormats, process, setInputFormat, setOutputFormat`

Field Detail

### pluginName

    protected java.lang.String pluginName

### controls

    protected java.lang.Object[] controls

Constructor Detail

### AbstractCodec

    public AbstractCodec()

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `javax.media.PlugIn`

### open

    public void open()
              throws javax.media.ResourceUnavailableException

  Specified by:
    `open` in interface `javax.media.PlugIn`
  Throws:
    `javax.media.ResourceUnavailableException`

### close

    public void close()

  Specified by:
    `close` in interface `javax.media.PlugIn`

### reset

    public void reset()

  Specified by:
    `reset` in interface `javax.media.PlugIn`

### getControls

    public java.lang.Object[] getControls()

  Specified by:
    `getControls` in interface `javax.media.Controls`

### getControl

    public java.lang.Object getControl(java.lang.String controlType)

  Specified by:
    `getControl` in interface `javax.media.Controls`

### setFlag

    protected static void setFlag(javax.media.Buffer buf,
                                  int flag,
                                  boolean value)

### isSet

    protected static boolean isSet(javax.media.Buffer buf,
                                   int flag)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD